"""Migration file"""  # pylint: disable=invalid-name
# Generated by Django 4.2.11 on 2024-05-17 10:15

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import taggit.managers
import utilities.json


class Migration(migrations.Migration):
    """Migration class"""
    dependencies = [
        ('extras', '0098_webhook_custom_field_data_webhook_tags'),
        ('netbox_rps_plugin', '0017_alter_cacheconfig_list_extensions'),
    ]

    operations = [
        migrations.CreateModel(
            name='HstsProtocol',
            fields=[
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=utilities.json.CustomFieldJSONEncoder)),
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('subdomains', models.BooleanField()),
                ('preload_flag', models.BooleanField()),
                ('max_age', models.IntegerField(default=31536000)),
                ('last_updated', models.DateTimeField(auto_now_add=True)),
                ('logout_url', models.CharField(max_length=2000, validators=[django.core.validators.URLValidator(message='It must be a url')])),
                ('tags_count', models.IntegerField()),
                ('mapping', models.OneToOneField(
                    db_column='mapping_id', on_delete=django.db.models.deletion.CASCADE, related_name='hsts_protocol', to='netbox_rps_plugin.mapping')),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
